/*
 React
 react-dom-server-legacy.node.production.min.js

 Copyright (c) Meta Platforms, Inc. and affiliates.

 This source code is licensed under the MIT license found in the
 LICENSE file in the root directory of this source tree.


 JS Implementation of MurmurHash3 (r136) (as of May 20, 2011)

 Copyright (c) 2011 Gary Court
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.
*/
'use strict';var ca=require("react"),da=require("react-dom"),ia=require("stream");
function ja(a,b){var c=a.length&3;var d=a.length-c;var e=b;for(b=0;b<d;){var f=a.charCodeAt(b)&255|(a.charCodeAt(++b)&255)<<8|(a.charCodeAt(++b)&255)<<16|(a.charCodeAt(++b)&255)<<24;++b;f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295;f=f<<15|f>>>17;f=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295;e^=f;e=e<<13|e>>>19;e=5*(e&65535)+((5*(e>>>16)&65535)<<16)&4294967295;e=(e&65535)+27492+(((e>>>16)+58964&65535)<<16)}f=0;switch(c){case 3:f^=(a.charCodeAt(b+2)&255)<<
16;case 2:f^=(a.charCodeAt(b+1)&255)<<8;case 1:f^=a.charCodeAt(b)&255,f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295,f=f<<15|f>>>17,e^=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295}e^=a.length;e^=e>>>16;e=2246822507*(e&65535)+((2246822507*(e>>>16)&65535)<<16)&4294967295;e^=e>>>13;e=3266489909*(e&65535)+((3266489909*(e>>>16)&65535)<<16)&4294967295;return(e^e>>>16)>>>0}
var t=Object.assign,y=Object.prototype.hasOwnProperty,ka=RegExp("^[:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD][:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD\\-.0-9\\u00B7\\u0300-\\u036F\\u203F-\\u2040]*$"),ya={},za={};
function Aa(a){if(y.call(za,a))return!0;if(y.call(ya,a))return!1;if(ka.test(a))return za[a]=!0;ya[a]=!0;return!1}
var Ba=new Set("animationIterationCount aspectRatio borderImageOutset borderImageSlice borderImageWidth boxFlex boxFlexGroup boxOrdinalGroup columnCount columns flex flexGrow flexPositive flexShrink flexNegative flexOrder gridArea gridRow gridRowEnd gridRowSpan gridRowStart gridColumn gridColumnEnd gridColumnSpan gridColumnStart fontWeight lineClamp lineHeight opacity order orphans scale tabSize widows zIndex zoom fillOpacity floodOpacity stopOpacity strokeDasharray strokeDashoffset strokeMiterlimit strokeOpacity strokeWidth MozAnimationIterationCount MozBoxFlex MozBoxFlexGroup MozLineClamp msAnimationIterationCount msFlex msZoom msFlexGrow msFlexNegative msFlexOrder msFlexPositive msFlexShrink msGridColumn msGridColumnSpan msGridRow msGridRowSpan WebkitAnimationIterationCount WebkitBoxFlex WebKitBoxFlexGroup WebkitBoxOrdinalGroup WebkitColumnCount WebkitColumns WebkitFlex WebkitFlexGrow WebkitFlexPositive WebkitFlexShrink WebkitLineClamp".split(" ")),Ca=
new Map([["acceptCharset","accept-charset"],["htmlFor","for"],["httpEquiv","http-equiv"],["crossOrigin","crossorigin"],["accentHeight","accent-height"],["alignmentBaseline","alignment-baseline"],["arabicForm","arabic-form"],["baselineShift","baseline-shift"],["capHeight","cap-height"],["clipPath","clip-path"],["clipRule","clip-rule"],["colorInterpolation","color-interpolation"],["colorInterpolationFilters","color-interpolation-filters"],["colorProfile","color-profile"],["colorRendering","color-rendering"],
["dominantBaseline","dominant-baseline"],["enableBackground","enable-background"],["fillOpacity","fill-opacity"],["fillRule","fill-rule"],["floodColor","flood-color"],["floodOpacity","flood-opacity"],["fontFamily","font-family"],["fontSize","font-size"],["fontSizeAdjust","font-size-adjust"],["fontStretch","font-stretch"],["fontStyle","font-style"],["fontVariant","font-variant"],["fontWeight","font-weight"],["glyphName","glyph-name"],["glyphOrientationHorizontal","glyph-orientation-horizontal"],["glyphOrientationVertical",
"glyph-orientation-vertical"],["horizAdvX","horiz-adv-x"],["horizOriginX","horiz-origin-x"],["imageRendering","image-rendering"],["letterSpacing","letter-spacing"],["lightingColor","lighting-color"],["markerEnd","marker-end"],["markerMid","marker-mid"],["markerStart","marker-start"],["overlinePosition","overline-position"],["overlineThickness","overline-thickness"],["paintOrder","paint-order"],["panose-1","panose-1"],["pointerEvents","pointer-events"],["renderingIntent","rendering-intent"],["shapeRendering",
"shape-rendering"],["stopColor","stop-color"],["stopOpacity","stop-opacity"],["strikethroughPosition","strikethrough-position"],["strikethroughThickness","strikethrough-thickness"],["strokeDasharray","stroke-dasharray"],["strokeDashoffset","stroke-dashoffset"],["strokeLinecap","stroke-linecap"],["strokeLinejoin","stroke-linejoin"],["strokeMiterlimit","stroke-miterlimit"],["strokeOpacity","stroke-opacity"],["strokeWidth","stroke-width"],["textAnchor","text-anchor"],["textDecoration","text-decoration"],
["textRendering","text-rendering"],["transformOrigin","transform-origin"],["underlinePosition","underline-position"],["underlineThickness","underline-thickness"],["unicodeBidi","unicode-bidi"],["unicodeRange","unicode-range"],["unitsPerEm","units-per-em"],["vAlphabetic","v-alphabetic"],["vHanging","v-hanging"],["vIdeographic","v-ideographic"],["vMathematical","v-mathematical"],["vectorEffect","vector-effect"],["vertAdvY","vert-adv-y"],["vertOriginX","vert-origin-x"],["vertOriginY","vert-origin-y"],
["wordSpacing","word-spacing"],["writingMode","writing-mode"],["xmlnsXlink","xmlns:xlink"],["xHeight","x-height"]]),Ia=/["'&<>]/;
function z(a){if("boolean"===typeof a||"number"===typeof a)return""+a;a=""+a;var b=Ia.exec(a);if(b){var c="",d,e=0;for(d=b.index;d<a.length;d++){switch(a.charCodeAt(d)){case 34:b="&quot;";break;case 38:b="&amp;";break;case 39:b="&#x27;";break;case 60:b="&lt;";break;case 62:b="&gt;";break;default:continue}e!==d&&(c+=a.slice(e,d));e=d+1;c+=b}a=e!==d?c+a.slice(e,d):c}return a}
var Ja=/([A-Z])/g,Ka=/^ms-/,La=Array.isArray,Ma=ca.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED,Na={pending:!1,data:null,method:null,action:null},db=da.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.Dispatcher,lb={prefetchDNS:eb,preconnect:fb,preload:gb,preloadModule:hb,preinitStyle:ib,preinitScript:jb,preinitModuleScript:kb},B=[],mb=/(<\/|<)(s)(cript)/gi;function nb(a,b,c,d){return""+b+("s"===c?"\\u0073":"\\u0053")+d}
function ob(a,b,c,d,e){var f=0;void 0!==b&&(f=1);return{idPrefix:void 0===a?"":a,nextFormID:0,streamingFormat:f,bootstrapScriptContent:c,bootstrapScripts:d,bootstrapModules:e,instructions:0,hasBody:!1,hasHtml:!1,unknownResources:{},dnsResources:{},connectResources:{default:{},anonymous:{},credentials:{}},imageResources:{},styleResources:{},scriptResources:{},moduleUnknownResources:{},moduleScriptResources:{}}}function G(a,b,c){return{insertionMode:a,selectedValue:b,tagScope:c}}
function pb(a){return G("http://www.w3.org/2000/svg"===a?3:"http://www.w3.org/1998/Math/MathML"===a?4:0,null,0)}
function qb(a,b,c){switch(b){case "noscript":return G(2,null,a.tagScope|1);case "select":return G(2,null!=c.value?c.value:c.defaultValue,a.tagScope);case "svg":return G(3,null,a.tagScope);case "picture":return G(2,null,a.tagScope|2);case "math":return G(4,null,a.tagScope);case "foreignObject":return G(2,null,a.tagScope);case "table":return G(5,null,a.tagScope);case "thead":case "tbody":case "tfoot":return G(6,null,a.tagScope);case "colgroup":return G(8,null,a.tagScope);case "tr":return G(7,null,a.tagScope)}return 5<=
a.insertionMode?G(2,null,a.tagScope):0===a.insertionMode?"html"===b?G(1,null,a.tagScope):G(2,null,a.tagScope):1===a.insertionMode?G(2,null,a.tagScope):a}var Ab=new Map;
function Bb(a,b){if("object"!==typeof b)throw Error("The `style` prop expects a mapping from style properties to values, not a string. For example, style={{marginRight: spacing + 'em'}} when using JSX.");var c=!0,d;for(d in b)if(y.call(b,d)){var e=b[d];if(null!=e&&"boolean"!==typeof e&&""!==e){if(0===d.indexOf("--")){var f=z(d);e=z((""+e).trim())}else f=Ab.get(d),void 0===f&&(f=z(d.replace(Ja,"-$1").toLowerCase().replace(Ka,"-ms-")),Ab.set(d,f)),e="number"===typeof e?0===e||Ba.has(d)?""+e:e+"px":
z((""+e).trim());c?(c=!1,a.push(' style="',f,":",e)):a.push(";",f,":",e)}}c||a.push('"')}function Cb(a,b,c){c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'=""')}function J(a,b,c){"function"!==typeof c&&"symbol"!==typeof c&&"boolean"!==typeof c&&a.push(" ",b,'="',z(c),'"')}function Db(a){var b=a.nextFormID++;return a.idPrefix+b}var Eb=z("javascript:throw new Error('A React form was unexpectedly submitted.')");
function Fb(a,b){this.push('<input type="hidden"');if("string"!==typeof a)throw Error("File/Blob fields are not yet supported in progressive forms. It probably means you are closing over binary data or FormData in a Server Action.");J(this,"name",b);J(this,"value",a);this.push("/>")}
function Gb(a,b,c,d,e,f,g,h){var k=null;"function"===typeof d&&("function"===typeof d.$$FORM_ACTION?(e=Db(b),b=d.$$FORM_ACTION(e),h=b.name,d=b.action||"",e=b.encType,f=b.method,g=b.target,k=b.data):(a.push(" ","formAction",'="',Eb,'"'),g=f=e=d=h=null,Hb(b,c)));null!=h&&K(a,"name",h);null!=d&&K(a,"formAction",d);null!=e&&K(a,"formEncType",e);null!=f&&K(a,"formMethod",f);null!=g&&K(a,"formTarget",g);return k}
function K(a,b,c){switch(b){case "className":J(a,"class",c);break;case "tabIndex":J(a,"tabindex",c);break;case "dir":case "role":case "viewBox":case "width":case "height":J(a,b,c);break;case "style":Bb(a,c);break;case "src":case "href":case "action":case "formAction":if(null==c||"function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;a.push(" ",b,'="',z(""+c),'"');break;case "defaultValue":case "defaultChecked":case "innerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":break;
case "autoFocus":case "multiple":case "muted":Cb(a,b.toLowerCase(),c);break;case "xlinkHref":if("function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;a.push(" ","xlink:href",'="',z(""+c),'"');break;case "contentEditable":case "spellCheck":case "draggable":case "value":case "autoReverse":case "externalResourcesRequired":case "focusable":case "preserveAlpha":"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'="',z(c),'"');break;case "allowFullScreen":case "async":case "autoPlay":case "controls":case "default":case "defer":case "disabled":case "disablePictureInPicture":case "disableRemotePlayback":case "formNoValidate":case "hidden":case "loop":case "noModule":case "noValidate":case "open":case "playsInline":case "readOnly":case "required":case "reversed":case "scoped":case "seamless":case "itemScope":c&&
"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'=""');break;case "capture":case "download":!0===c?a.push(" ",b,'=""'):!1!==c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'="',z(c),'"');break;case "cols":case "rows":case "size":case "span":"function"!==typeof c&&"symbol"!==typeof c&&!isNaN(c)&&1<=c&&a.push(" ",b,'="',z(c),'"');break;case "rowSpan":case "start":"function"===typeof c||"symbol"===typeof c||isNaN(c)||a.push(" ",b,'="',z(c),'"');break;case "xlinkActuate":J(a,"xlink:actuate",
c);break;case "xlinkArcrole":J(a,"xlink:arcrole",c);break;case "xlinkRole":J(a,"xlink:role",c);break;case "xlinkShow":J(a,"xlink:show",c);break;case "xlinkTitle":J(a,"xlink:title",c);break;case "xlinkType":J(a,"xlink:type",c);break;case "xmlBase":J(a,"xml:base",c);break;case "xmlLang":J(a,"xml:lang",c);break;case "xmlSpace":J(a,"xml:space",c);break;default:if(!(2<b.length)||"o"!==b[0]&&"O"!==b[0]||"n"!==b[1]&&"N"!==b[1])if(b=Ca.get(b)||b,Aa(b)){switch(typeof c){case "function":case "symbol":return;
case "boolean":var d=b.toLowerCase().slice(0,5);if("data-"!==d&&"aria-"!==d)return}a.push(" ",b,'="',z(c),'"')}}}function M(a,b,c){if(null!=b){if(null!=c)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof b||!("__html"in b))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://reactjs.org/link/dangerously-set-inner-html for more information.");b=b.__html;null!==b&&void 0!==b&&a.push(""+b)}}
function Ib(a){var b="";ca.Children.forEach(a,function(c){null!=c&&(b+=c)});return b}
function Hb(a,b){0!==(a.instructions&16)||b.externalRuntimeScript||(a.instructions|=16,b.bootstrapChunks.unshift(b.startInlineScript,'addEventListener("submit",function(a){if(!a.defaultPrevented){var c=a.target,d=a.submitter,e=c.action,b=d;if(d){var f=d.getAttribute("formAction");null!=f&&(e=f,b=null)}"javascript:throw new Error(\'A React form was unexpectedly submitted.\')"===e&&(a.preventDefault(),b?(a=document.createElement("input"),a.name=b.name,a.value=b.value,b.parentNode.insertBefore(a,b),b=new FormData(c),a.parentNode.removeChild(a)):b=new FormData(c),a=c.getRootNode(),(a.$$reactFormReplay=a.$$reactFormReplay||[]).push(c,\nd,b))}});',"\x3c/script>"))}
function Jb(a,b,c,d,e,f,g){var h=b.rel,k=b.href,l=b.precedence;if(3===f||g||null!=b.itemProp||"string"!==typeof h||"string"!==typeof k||""===k)return N(a,b),null;if("stylesheet"===b.rel){if("string"!==typeof l||null!=b.disabled||b.onLoad||b.onError)return N(a,b);f=d.styles.get(l);g=c.styleResources.hasOwnProperty(k)?c.styleResources[k]:void 0;null!==g?(c.styleResources[k]=null,f||(f={precedence:z(l),rules:[],hrefs:[],sheets:new Map},d.styles.set(l,f)),b={state:0,props:t({},b,{"data-precedence":b.precedence,
precedence:null})},g&&(2===g.length&&Kb(b.props,g),(c=d.preloads.stylesheets.get(k))&&0<c.length?c.length=0:b.state=1),f.sheets.set(k,b),d.boundaryResources&&d.boundaryResources.stylesheets.add(b)):f&&(k=f.sheets.get(k))&&d.boundaryResources&&d.boundaryResources.stylesheets.add(k);e&&a.push("\x3c!-- --\x3e");return null}if(b.onLoad||b.onError)return N(a,b);e&&a.push("\x3c!-- --\x3e");switch(b.rel){case "preconnect":case "dns-prefetch":return N(d.preconnectChunks,b);case "preload":return N(d.preloadChunks,
b);default:return N(d.hoistableChunks,b)}}function N(a,b){a.push(O("link"));for(var c in b)if(y.call(b,c)){var d=b[c];if(null!=d)switch(c){case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:K(a,c,d)}}a.push("/>");return null}
function Lb(a,b,c){a.push(O(c));for(var d in b)if(y.call(b,d)){var e=b[d];if(null!=e)switch(d){case "children":case "dangerouslySetInnerHTML":throw Error(c+" is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:K(a,d,e)}}a.push("/>");return null}
function Mb(a,b){a.push(O("title"));var c=null,d=null,e;for(e in b)if(y.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:K(a,e,f)}}a.push(">");b=Array.isArray(c)?2>c.length?c[0]:null:c;"function"!==typeof b&&"symbol"!==typeof b&&null!==b&&void 0!==b&&a.push(z(""+b));M(a,d,c);a.push(Nb("title"));return null}
function Ob(a,b){a.push(O("script"));var c=null,d=null,e;for(e in b)if(y.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:K(a,e,f)}}a.push(">");M(a,d,c);"string"===typeof c&&a.push(z(c));a.push(Nb("script"));return null}
function Pb(a,b,c){a.push(O(c));var d=c=null,e;for(e in b)if(y.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:K(a,e,f)}}a.push(">");M(a,d,c);return"string"===typeof c?(a.push(z(c)),null):c}var Qb=/^[a-zA-Z][a-zA-Z:_\.\-\d]*$/,Rb=new Map;function O(a){var b=Rb.get(a);if(void 0===b){if(!Qb.test(a))throw Error("Invalid tag: "+a);b="<"+a;Rb.set(a,b)}return b}
function Sb(a,b,c,d,e,f,g){switch(b){case "div":case "span":case "svg":case "path":case "a":case "g":case "p":case "li":break;case "select":a.push(O("select"));var h=null,k=null,l;for(l in c)if(y.call(c,l)){var n=c[l];if(null!=n)switch(l){case "children":h=n;break;case "dangerouslySetInnerHTML":k=n;break;case "defaultValue":case "value":break;default:K(a,l,n)}}a.push(">");M(a,k,h);return h;case "option":var m=f.selectedValue;a.push(O("option"));var q=null,p=null,H=null,A=null,w;for(w in c)if(y.call(c,
w)){var x=c[w];if(null!=x)switch(w){case "children":q=x;break;case "selected":H=x;break;case "dangerouslySetInnerHTML":A=x;break;case "value":p=x;default:K(a,w,x)}}if(null!=m){var r=null!==p?""+p:Ib(q);if(La(m))for(var C=0;C<m.length;C++){if(""+m[C]===r){a.push(' selected=""');break}}else""+m===r&&a.push(' selected=""')}else H&&a.push(' selected=""');a.push(">");M(a,A,q);return q;case "textarea":a.push(O("textarea"));var v=null,u=null,D=null,E;for(E in c)if(y.call(c,E)){var F=c[E];if(null!=F)switch(E){case "children":D=
F;break;case "value":v=F;break;case "defaultValue":u=F;break;case "dangerouslySetInnerHTML":throw Error("`dangerouslySetInnerHTML` does not make sense on <textarea>.");default:K(a,E,F)}}null===v&&null!==u&&(v=u);a.push(">");if(null!=D){if(null!=v)throw Error("If you supply `defaultValue` on a <textarea>, do not pass children.");if(La(D)){if(1<D.length)throw Error("<textarea> can only have at most one child.");v=""+D[0]}v=""+D}"string"===typeof v&&"\n"===v[0]&&a.push("\n");null!==v&&a.push(z(""+v));
return null;case "input":a.push(O("input"));var la=null,R=null,P=null,ma=null,ea=null,X=null,Oa=null,Pa=null,Qa=null,na;for(na in c)if(y.call(c,na)){var S=c[na];if(null!=S)switch(na){case "children":case "dangerouslySetInnerHTML":throw Error("input is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");case "name":la=S;break;case "formAction":R=S;break;case "formEncType":P=S;break;case "formMethod":ma=S;break;case "formTarget":ea=S;break;case "defaultChecked":Qa=
S;break;case "defaultValue":Oa=S;break;case "checked":Pa=S;break;case "value":X=S;break;default:K(a,na,S)}}var rb=Gb(a,d,e,R,P,ma,ea,la);null!==Pa?Cb(a,"checked",Pa):null!==Qa&&Cb(a,"checked",Qa);null!==X?K(a,"value",X):null!==Oa&&K(a,"value",Oa);a.push("/>");null!==rb&&rb.forEach(Fb,a);return null;case "button":a.push(O("button"));var oa=null,pa=null,aa=null,qa=null,ra=null,Ra=null,sa=null,Sa;for(Sa in c)if(y.call(c,Sa)){var ba=c[Sa];if(null!=ba)switch(Sa){case "children":oa=ba;break;case "dangerouslySetInnerHTML":pa=
ba;break;case "name":aa=ba;break;case "formAction":qa=ba;break;case "formEncType":ra=ba;break;case "formMethod":Ra=ba;break;case "formTarget":sa=ba;break;default:K(a,Sa,ba)}}var Tc=Gb(a,d,e,qa,ra,Ra,sa,aa);a.push(">");null!==Tc&&Tc.forEach(Fb,a);M(a,pa,oa);if("string"===typeof oa){a.push(z(oa));var Uc=null}else Uc=oa;return Uc;case "form":a.push(O("form"));var Ta=null,Vc=null,fa=null,Ua=null,Va=null,Wa=null,Xa;for(Xa in c)if(y.call(c,Xa)){var ha=c[Xa];if(null!=ha)switch(Xa){case "children":Ta=ha;
break;case "dangerouslySetInnerHTML":Vc=ha;break;case "action":fa=ha;break;case "encType":Ua=ha;break;case "method":Va=ha;break;case "target":Wa=ha;break;default:K(a,Xa,ha)}}var Vb=null,Wb=null;if("function"===typeof fa)if("function"===typeof fa.$$FORM_ACTION){var Ge=Db(d),Da=fa.$$FORM_ACTION(Ge);fa=Da.action||"";Ua=Da.encType;Va=Da.method;Wa=Da.target;Vb=Da.data;Wb=Da.name}else a.push(" ","action",'="',Eb,'"'),Wa=Va=Ua=fa=null,Hb(d,e);null!=fa&&K(a,"action",fa);null!=Ua&&K(a,"encType",Ua);null!=
Va&&K(a,"method",Va);null!=Wa&&K(a,"target",Wa);a.push(">");null!==Wb&&(a.push('<input type="hidden"'),J(a,"name",Wb),a.push("/>"),null!==Vb&&Vb.forEach(Fb,a));M(a,Vc,Ta);if("string"===typeof Ta){a.push(z(Ta));var Wc=null}else Wc=Ta;return Wc;case "menuitem":a.push(O("menuitem"));for(var sb in c)if(y.call(c,sb)){var Xc=c[sb];if(null!=Xc)switch(sb){case "children":case "dangerouslySetInnerHTML":throw Error("menuitems cannot have `children` nor `dangerouslySetInnerHTML`.");default:K(a,sb,Xc)}}a.push(">");
return null;case "title":if(3===f.insertionMode||f.tagScope&1||null!=c.itemProp)var Yc=Mb(a,c);else Mb(e.hoistableChunks,c),Yc=null;return Yc;case "link":return Jb(a,c,d,e,g,f.insertionMode,!!(f.tagScope&1));case "script":var Xb=c.async;if("string"!==typeof c.src||!c.src||!Xb||"function"===typeof Xb||"symbol"===typeof Xb||c.onLoad||c.onError||3===f.insertionMode||f.tagScope&1||null!=c.itemProp)var Zc=Ob(a,c);else{var tb=c.src;if("module"===c.type){var ub=d.moduleScriptResources;var $c=e.preloads.moduleScripts}else ub=
d.scriptResources,$c=e.preloads.scripts;var vb=ub.hasOwnProperty(tb)?ub[tb]:void 0;if(null!==vb){ub[tb]=null;var Yb=c;if(vb){2===vb.length&&(Yb=t({},c),Kb(Yb,vb));var ad=$c.get(tb);ad&&(ad.length=0)}var bd=[];e.scripts.add(bd);Ob(bd,Yb)}g&&a.push("\x3c!-- --\x3e");Zc=null}return Zc;case "style":var wb=c.precedence,ta=c.href;if(3===f.insertionMode||f.tagScope&1||null!=c.itemProp||"string"!==typeof wb||"string"!==typeof ta||""===ta){a.push(O("style"));var Ea=null,cd=null,Ya;for(Ya in c)if(y.call(c,
Ya)){var xb=c[Ya];if(null!=xb)switch(Ya){case "children":Ea=xb;break;case "dangerouslySetInnerHTML":cd=xb;break;default:K(a,Ya,xb)}}a.push(">");var Za=Array.isArray(Ea)?2>Ea.length?Ea[0]:null:Ea;"function"!==typeof Za&&"symbol"!==typeof Za&&null!==Za&&void 0!==Za&&a.push(z(""+Za));M(a,cd,Ea);a.push(Nb("style"));var dd=null}else{var ua=e.styles.get(wb);if(null!==(d.styleResources.hasOwnProperty(ta)?d.styleResources[ta]:void 0)){d.styleResources[ta]=null;ua?ua.hrefs.push(z(ta)):(ua={precedence:z(wb),
rules:[],hrefs:[z(ta)],sheets:new Map},e.styles.set(wb,ua));var ed=ua.rules,Fa=null,fd=null,yb;for(yb in c)if(y.call(c,yb)){var Zb=c[yb];if(null!=Zb)switch(yb){case "children":Fa=Zb;break;case "dangerouslySetInnerHTML":fd=Zb}}var $a=Array.isArray(Fa)?2>Fa.length?Fa[0]:null:Fa;"function"!==typeof $a&&"symbol"!==typeof $a&&null!==$a&&void 0!==$a&&ed.push(z(""+$a));M(ed,fd,Fa)}ua&&e.boundaryResources&&e.boundaryResources.styles.add(ua);g&&a.push("\x3c!-- --\x3e");dd=void 0}return dd;case "meta":if(3===
f.insertionMode||f.tagScope&1||null!=c.itemProp)var gd=Lb(a,c,"meta");else g&&a.push("\x3c!-- --\x3e"),gd="string"===typeof c.charSet?Lb(e.charsetChunks,c,"meta"):"viewport"===c.name?Lb(e.preconnectChunks,c,"meta"):Lb(e.hoistableChunks,c,"meta");return gd;case "listing":case "pre":a.push(O(b));var ab=null,bb=null,cb;for(cb in c)if(y.call(c,cb)){var zb=c[cb];if(null!=zb)switch(cb){case "children":ab=zb;break;case "dangerouslySetInnerHTML":bb=zb;break;default:K(a,cb,zb)}}a.push(">");if(null!=bb){if(null!=
ab)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof bb||!("__html"in bb))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://reactjs.org/link/dangerously-set-inner-html for more information.");var va=bb.__html;null!==va&&void 0!==va&&("string"===typeof va&&0<va.length&&"\n"===va[0]?a.push("\n",va):a.push(""+va))}"string"===typeof ab&&"\n"===ab[0]&&a.push("\n");return ab;case "img":var L=c.src,
I=c.srcSet;if(!("lazy"===c.loading||!L&&!I||"string"!==typeof L&&null!=L||"string"!==typeof I&&null!=I)&&"low"!==c.fetchPriority&&!1===!!(f.tagScope&2)&&("string"!==typeof L||":"!==L[4]||"d"!==L[0]&&"D"!==L[0]||"a"!==L[1]&&"A"!==L[1]||"t"!==L[2]&&"T"!==L[2]||"a"!==L[3]&&"A"!==L[3])&&("string"!==typeof I||":"!==I[4]||"d"!==I[0]&&"D"!==I[0]||"a"!==I[1]&&"A"!==I[1]||"t"!==I[2]&&"T"!==I[2]||"a"!==I[3]&&"A"!==I[3])){var hd="string"===typeof c.sizes?c.sizes:void 0,Ga=I?I+"\n"+(hd||""):L,$b=e.preloads.images,
wa=$b.get(Ga);if(wa){if("high"===c.fetchPriority||10>e.highImagePreloads.size)$b.delete(Ga),e.highImagePreloads.add(wa)}else if(!d.imageResources.hasOwnProperty(Ga)){d.imageResources[Ga]=B;var ac=c.crossOrigin;var id="string"===typeof ac?"use-credentials"===ac?ac:"":void 0;var Y=e.headers,bc;Y&&0<Y.remainingCapacity&&("high"===c.fetchPriority||500>Y.highImagePreloads.length)&&(bc=Tb(L,"image",{imageSrcSet:c.srcSet,imageSizes:c.sizes,crossOrigin:id,integrity:c.integrity,nonce:c.nonce,type:c.type,fetchPriority:c.fetchPriority,
referrerPolicy:c.refererPolicy}),2<=(Y.remainingCapacity-=bc.length))?(e.resets.image[Ga]=B,Y.highImagePreloads&&(Y.highImagePreloads+=", "),Y.highImagePreloads+=bc):(wa=[],N(wa,{rel:"preload",as:"image",href:I?void 0:L,imageSrcSet:I,imageSizes:hd,crossOrigin:id,integrity:c.integrity,type:c.type,fetchPriority:c.fetchPriority,referrerPolicy:c.referrerPolicy}),"high"===c.fetchPriority||10>e.highImagePreloads.size?e.highImagePreloads.add(wa):(e.bulkPreloads.add(wa),$b.set(Ga,wa)))}}return Lb(a,c,"img");
case "base":case "area":case "br":case "col":case "embed":case "hr":case "keygen":case "param":case "source":case "track":case "wbr":return Lb(a,c,b);case "annotation-xml":case "color-profile":case "font-face":case "font-face-src":case "font-face-uri":case "font-face-format":case "font-face-name":case "missing-glyph":break;case "head":if(2>f.insertionMode&&null===e.headChunks){e.headChunks=[];var jd=Pb(e.headChunks,c,"head")}else jd=Pb(a,c,"head");return jd;case "html":if(0===f.insertionMode&&null===
e.htmlChunks){e.htmlChunks=[""];var kd=Pb(e.htmlChunks,c,"html")}else kd=Pb(a,c,"html");return kd;default:if(-1!==b.indexOf("-")){a.push(O(b));var cc=null,ld=null,Ha;for(Ha in c)if(y.call(c,Ha)){var xa=c[Ha];if(null!=xa){var He=Ha;switch(Ha){case "children":cc=xa;break;case "dangerouslySetInnerHTML":ld=xa;break;case "style":Bb(a,xa);break;case "suppressContentEditableWarning":case "suppressHydrationWarning":break;default:Aa(Ha)&&"function"!==typeof xa&&"symbol"!==typeof xa&&a.push(" ",He,'="',z(xa),
'"')}}}a.push(">");M(a,ld,cc);return cc}}return Pb(a,c,b)}var Ub=new Map;function Nb(a){var b=Ub.get(a);void 0===b&&(b="</"+a+">",Ub.set(a,b));return b}function dc(a,b){b=b.bootstrapChunks;for(var c=0;c<b.length-1;c++)a.push(b[c]);return c<b.length?(c=b[c],b.length=0,a.push(c)):!0}
function ec(a,b,c){a.push('\x3c!--$?--\x3e<template id="');if(null===c)throw Error("An ID must have been assigned before we can complete the boundary.");a.push(b.boundaryPrefix);b=c.toString(16);a.push(b);return a.push('"></template>')}
function fc(a,b,c,d){switch(c.insertionMode){case 0:case 1:case 2:return a.push('<div hidden id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 3:return a.push('<svg aria-hidden="true" style="display:none" id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 4:return a.push('<math aria-hidden="true" style="display:none" id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 5:return a.push('<table hidden id="'),a.push(b.segmentPrefix),
b=d.toString(16),a.push(b),a.push('">');case 6:return a.push('<table hidden><tbody id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 7:return a.push('<table hidden><tr id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 8:return a.push('<table hidden><colgroup id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');default:throw Error("Unknown insertion mode. This is a bug in React.");}}
function gc(a,b){switch(b.insertionMode){case 0:case 1:case 2:return a.push("</div>");case 3:return a.push("</svg>");case 4:return a.push("</math>");case 5:return a.push("</table>");case 6:return a.push("</tbody></table>");case 7:return a.push("</tr></table>");case 8:return a.push("</colgroup></table>");default:throw Error("Unknown insertion mode. This is a bug in React.");}}var hc=/[<\u2028\u2029]/g;
function ic(a){return JSON.stringify(a).replace(hc,function(b){switch(b){case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSStringsForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}var jc=/[&><\u2028\u2029]/g;
function kc(a){return JSON.stringify(a).replace(jc,function(b){switch(b){case "&":return"\\u0026";case ">":return"\\u003e";case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSObjectForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}var lc=!1,mc=!0;
function nc(a){var b=a.rules,c=a.hrefs,d=0;if(c.length){this.push('<style media="not all" data-precedence="');this.push(a.precedence);for(this.push('" data-href="');d<c.length-1;d++)this.push(c[d]),this.push(" ");this.push(c[d]);this.push('">');for(d=0;d<b.length;d++)this.push(b[d]);mc=this.push("</style>");lc=!0;b.length=0;c.length=0}}function oc(a){return 2!==a.state?lc=!0:!1}function pc(a,b,c){lc=!1;mc=!0;b.styles.forEach(nc,a);b.stylesheets.forEach(oc);lc&&(c.stylesToHoist=!0);return mc}
function Q(a){for(var b=0;b<a.length;b++)this.push(a[b]);a.length=0}var qc=[];function rc(a){N(qc,a.props);for(var b=0;b<qc.length;b++)this.push(qc[b]);qc.length=0;a.state=2}
function sc(a){var b=0<a.sheets.size;a.sheets.forEach(rc,this);a.sheets.clear();var c=a.rules,d=a.hrefs;if(!b||d.length){this.push('<style data-precedence="');this.push(a.precedence);a=0;if(d.length){for(this.push('" data-href="');a<d.length-1;a++)this.push(d[a]),this.push(" ");this.push(d[a])}this.push('">');for(a=0;a<c.length;a++)this.push(c[a]);this.push("</style>");c.length=0;d.length=0}}
function tc(a){if(0===a.state){a.state=1;var b=a.props;N(qc,{rel:"preload",as:"style",href:a.props.href,crossOrigin:b.crossOrigin,fetchPriority:b.fetchPriority,integrity:b.integrity,media:b.media,hrefLang:b.hrefLang,referrerPolicy:b.referrerPolicy});for(a=0;a<qc.length;a++)this.push(qc[a]);qc.length=0}}function uc(a){a.sheets.forEach(tc,this);a.sheets.clear()}
function vc(a,b){a.push("[");var c="[";b.stylesheets.forEach(function(d){if(2!==d.state)if(3===d.state)a.push(c),d=kc(""+d.props.href),a.push(d),a.push("]"),c=",[";else{a.push(c);var e=d.props["data-precedence"],f=d.props,g=kc(""+d.props.href);a.push(g);e=""+e;a.push(",");e=kc(e);a.push(e);for(var h in f)if(y.call(f,h)&&(g=f[h],null!=g))switch(h){case "href":case "rel":case "precedence":case "data-precedence":break;case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");
default:a:{e=a;var k=h.toLowerCase();switch(typeof g){case "function":case "symbol":break a}switch(h){case "innerHTML":case "dangerouslySetInnerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "style":break a;case "className":k="class";g=""+g;break;case "hidden":if(!1===g)break a;g="";break;case "src":case "href":g=""+g;break;default:if(2<h.length&&("o"===h[0]||"O"===h[0])&&("n"===h[1]||"N"===h[1])||!Aa(h))break a;g=""+g}e.push(",");k=kc(k);e.push(k);e.push(",");g=
kc(g);e.push(g)}}a.push("]");c=",[";d.state=3}});a.push("]")}
function wc(a,b){a.push("[");var c="[";b.stylesheets.forEach(function(d){if(2!==d.state)if(3===d.state)a.push(c),d=z(JSON.stringify(""+d.props.href)),a.push(d),a.push("]"),c=",[";else{a.push(c);var e=d.props["data-precedence"],f=d.props,g=z(JSON.stringify(""+d.props.href));a.push(g);e=""+e;a.push(",");e=z(JSON.stringify(e));a.push(e);for(var h in f)if(y.call(f,h)&&(g=f[h],null!=g))switch(h){case "href":case "rel":case "precedence":case "data-precedence":break;case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");
default:a:{e=a;var k=h.toLowerCase();switch(typeof g){case "function":case "symbol":break a}switch(h){case "innerHTML":case "dangerouslySetInnerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "style":break a;case "className":k="class";g=""+g;break;case "hidden":if(!1===g)break a;g="";break;case "src":case "href":g=""+g;break;default:if(2<h.length&&("o"===h[0]||"O"===h[0])&&("n"===h[1]||"N"===h[1])||!Aa(h))break a;g=""+g}e.push(",");k=z(JSON.stringify(k));e.push(k);
e.push(",");g=z(JSON.stringify(g));e.push(g)}}a.push("]");c=",[";d.state=3}});a.push("]")}
function eb(a){var b=T?T:null;if(b){var c=b.resumableState,d=b.renderState;if("string"===typeof a&&a){if(!c.dnsResources.hasOwnProperty(a)){c.dnsResources[a]=null;c=d.headers;var e,f;if(f=c&&0<c.remainingCapacity)f=(e="<"+(""+a).replace(xc,yc)+">; rel=dns-prefetch",2<=(c.remainingCapacity-=e.length));f?(d.resets.dns[a]=null,c.preconnects&&(c.preconnects+=", "),c.preconnects+=e):(e=[],N(e,{href:a,rel:"dns-prefetch"}),d.preconnects.add(e))}zc(b)}}}
function fb(a,b){var c=T?T:null;if(c){var d=c.resumableState,e=c.renderState;if("string"===typeof a&&a){var f="use-credentials"===b?"credentials":"string"===typeof b?"anonymous":"default";if(!d.connectResources[f].hasOwnProperty(a)){d.connectResources[f][a]=null;d=e.headers;var g,h;if(h=d&&0<d.remainingCapacity){h="<"+(""+a).replace(xc,yc)+">; rel=preconnect";if("string"===typeof b){var k=(""+b).replace(Ac,Bc);h+='; crossorigin="'+k+'"'}h=(g=h,2<=(d.remainingCapacity-=g.length))}h?(e.resets.connect[f][a]=
null,d.preconnects&&(d.preconnects+=", "),d.preconnects+=g):(f=[],N(f,{rel:"preconnect",href:a,crossOrigin:b}),e.preconnects.add(f))}zc(c)}}}
function gb(a,b,c){var d=T?T:null;if(d){var e=d.resumableState,f=d.renderState;if(b&&a){switch(b){case "image":if(c){var g=c.imageSrcSet;var h=c.imageSizes;var k=c.fetchPriority}var l=g?g+"\n"+(h||""):a;if(e.imageResources.hasOwnProperty(l))return;e.imageResources[l]=B;e=f.headers;var n;e&&0<e.remainingCapacity&&"high"===k&&(n=Tb(a,b,c),2<=(e.remainingCapacity-=n.length))?(f.resets.image[l]=B,e.highImagePreloads&&(e.highImagePreloads+=", "),e.highImagePreloads+=n):(e=[],N(e,t({rel:"preload",href:g?
void 0:a,as:b},c)),"high"===k?f.highImagePreloads.add(e):(f.bulkPreloads.add(e),f.preloads.images.set(l,e)));break;case "style":if(e.styleResources.hasOwnProperty(a))return;g=[];N(g,t({rel:"preload",href:a,as:b},c));e.styleResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?B:[c.crossOrigin,c.integrity];f.preloads.stylesheets.set(a,g);f.bulkPreloads.add(g);break;case "script":if(e.scriptResources.hasOwnProperty(a))return;g=[];f.preloads.scripts.set(a,g);f.bulkPreloads.add(g);
N(g,t({rel:"preload",href:a,as:b},c));e.scriptResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?B:[c.crossOrigin,c.integrity];break;default:if(e.unknownResources.hasOwnProperty(b)){if(g=e.unknownResources[b],g.hasOwnProperty(a))return}else g={},e.unknownResources[b]=g;g[a]=B;if((e=f.headers)&&0<e.remainingCapacity&&"font"===b&&(l=Tb(a,b,c),2<=(e.remainingCapacity-=l.length)))f.resets.font[a]=B,e.fontPreloads&&(e.fontPreloads+=", "),e.fontPreloads+=l;else switch(e=[],
a=t({rel:"preload",href:a,as:b},c),N(e,a),b){case "font":f.fontPreloads.add(e);break;default:f.bulkPreloads.add(e)}}zc(d)}}}
function hb(a,b){var c=T?T:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=b&&"string"===typeof b.as?b.as:"script";switch(f){case "script":if(d.moduleScriptResources.hasOwnProperty(a))return;f=[];d.moduleScriptResources[a]=!b||"string"!==typeof b.crossOrigin&&"string"!==typeof b.integrity?B:[b.crossOrigin,b.integrity];e.preloads.moduleScripts.set(a,f);break;default:if(d.moduleUnknownResources.hasOwnProperty(f)){var g=d.unknownResources[f];if(g.hasOwnProperty(a))return}else g={},d.moduleUnknownResources[f]=
g;f=[];g[a]=B}N(f,t({rel:"modulepreload",href:a},b));e.bulkPreloads.add(f);zc(c)}}}
function ib(a,b,c){var d=T?T:null;if(d){var e=d.resumableState,f=d.renderState;if(a){b=b||"default";var g=f.styles.get(b),h=e.styleResources.hasOwnProperty(a)?e.styleResources[a]:void 0;null!==h&&(e.styleResources[a]=null,g||(g={precedence:z(b),rules:[],hrefs:[],sheets:new Map},f.styles.set(b,g)),b={state:0,props:t({rel:"stylesheet",href:a,"data-precedence":b},c)},h&&(2===h.length&&Kb(b.props,h),(f=f.preloads.stylesheets.get(a))&&0<f.length?f.length=0:b.state=1),g.sheets.set(a,b),zc(d))}}}
function jb(a,b){var c=T?T:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.scriptResources.hasOwnProperty(a)?d.scriptResources[a]:void 0;null!==f&&(d.scriptResources[a]=null,b=t({src:a,async:!0},b),f&&(2===f.length&&Kb(b,f),a=e.preloads.scripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),Ob(a,b),zc(c))}}}
function kb(a,b){var c=T?T:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.moduleScriptResources.hasOwnProperty(a)?d.moduleScriptResources[a]:void 0;null!==f&&(d.moduleScriptResources[a]=null,b=t({src:a,type:"module",async:!0},b),f&&(2===f.length&&Kb(b,f),a=e.preloads.moduleScripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),Ob(a,b),zc(c))}}}function Kb(a,b){null==a.crossOrigin&&(a.crossOrigin=b[0]);null==a.integrity&&(a.integrity=b[1])}
function Tb(a,b,c){a=(""+a).replace(xc,yc);b=(""+b).replace(Ac,Bc);b="<"+a+'>; rel=preload; as="'+b+'"';for(var d in c)y.call(c,d)&&(a=c[d],"string"===typeof a&&(b+="; "+d.toLowerCase()+'="'+(""+a).replace(Ac,Bc)+'"'));return b}var xc=/[<>\r\n]/g;
function yc(a){switch(a){case "<":return"%3C";case ">":return"%3E";case "\n":return"%0A";case "\r":return"%0D";default:throw Error("escapeLinkHrefForHeaderContextReplacer encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}}var Ac=/["';,\r\n]/g;
function Bc(a){switch(a){case '"':return"%22";case "'":return"%27";case ";":return"%3B";case ",":return"%2C";case "\n":return"%0A";case "\r":return"%0D";default:throw Error("escapeStringForLinkHeaderQuotedParamValueContextReplacer encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}}function Cc(a){this.styles.add(a)}function Dc(a){this.stylesheets.add(a)}
function Ec(a,b){var c=a.idPrefix,d=[],e=a.bootstrapScriptContent,f=a.bootstrapScripts,g=a.bootstrapModules;void 0!==e&&d.push("<script>",(""+e).replace(mb,nb),"\x3c/script>");e=c+"P:";var h=c+"S:";c+="B:";var k=new Set,l=new Set,n=new Set,m=new Map,q=new Set,p=new Set,H=new Set,A={images:new Map,stylesheets:new Map,scripts:new Map,moduleScripts:new Map};if(void 0!==f)for(var w=0;w<f.length;w++){var x=f[w],r,C=void 0,v=void 0,u={rel:"preload",as:"script",fetchPriority:"low",nonce:void 0};"string"===
typeof x?u.href=r=x:(u.href=r=x.src,u.integrity=v="string"===typeof x.integrity?x.integrity:void 0,u.crossOrigin=C="string"===typeof x||null==x.crossOrigin?void 0:"use-credentials"===x.crossOrigin?"use-credentials":"");x=a;var D=r;x.scriptResources[D]=null;x.moduleScriptResources[D]=null;x=[];N(x,u);q.add(x);d.push('<script src="',z(r));"string"===typeof v&&d.push('" integrity="',z(v));"string"===typeof C&&d.push('" crossorigin="',z(C));d.push('" async="">\x3c/script>')}if(void 0!==g)for(f=0;f<g.length;f++)u=
g[f],C=r=void 0,v={rel:"modulepreload",fetchPriority:"low",nonce:void 0},"string"===typeof u?v.href=w=u:(v.href=w=u.src,v.integrity=C="string"===typeof u.integrity?u.integrity:void 0,v.crossOrigin=r="string"===typeof u||null==u.crossOrigin?void 0:"use-credentials"===u.crossOrigin?"use-credentials":""),u=a,x=w,u.scriptResources[x]=null,u.moduleScriptResources[x]=null,u=[],N(u,v),q.add(u),d.push('<script type="module" src="',z(w)),"string"===typeof C&&d.push('" integrity="',z(C)),"string"===typeof r&&
d.push('" crossorigin="',z(r)),d.push('" async="">\x3c/script>');return{placeholderPrefix:e,segmentPrefix:h,boundaryPrefix:c,startInlineScript:"<script>",htmlChunks:null,headChunks:null,externalRuntimeScript:null,bootstrapChunks:d,onHeaders:void 0,headers:null,resets:{font:{},dns:{},connect:{default:{},anonymous:{},credentials:{}},image:{},style:{}},charsetChunks:[],preconnectChunks:[],importMapChunks:[],preloadChunks:[],hoistableChunks:[],preconnects:k,fontPreloads:l,highImagePreloads:n,styles:m,
bootstrapScripts:q,scripts:p,bulkPreloads:H,preloads:A,boundaryResources:null,stylesToHoist:!1,generateStaticMarkup:b}}function Fc(a,b,c,d){if(c.generateStaticMarkup)return a.push(z(b)),!1;""===b?a=d:(d&&a.push("\x3c!-- --\x3e"),a.push(z(b)),a=!0);return a}
var Gc=Symbol.for("react.element"),Hc=Symbol.for("react.portal"),Ic=Symbol.for("react.fragment"),Jc=Symbol.for("react.strict_mode"),Kc=Symbol.for("react.profiler"),Lc=Symbol.for("react.provider"),Mc=Symbol.for("react.context"),Nc=Symbol.for("react.server_context"),Oc=Symbol.for("react.forward_ref"),Pc=Symbol.for("react.suspense"),Qc=Symbol.for("react.suspense_list"),Rc=Symbol.for("react.memo"),Sc=Symbol.for("react.lazy"),md=Symbol.for("react.scope"),nd=Symbol.for("react.debug_trace_mode"),od=Symbol.for("react.offscreen"),
pd=Symbol.for("react.legacy_hidden"),qd=Symbol.for("react.cache"),rd=Symbol.for("react.default_value"),sd=Symbol.iterator,td=Symbol.for("react.client.reference");
function ud(a){if(null==a)return null;if("function"===typeof a)return a.$$typeof===td?null:a.displayName||a.name||null;if("string"===typeof a)return a;switch(a){case Ic:return"Fragment";case Hc:return"Portal";case Kc:return"Profiler";case Jc:return"StrictMode";case Pc:return"Suspense";case Qc:return"SuspenseList";case qd:return"Cache"}if("object"===typeof a)switch(a.$$typeof){case Mc:return(a.displayName||"Context")+".Consumer";case Lc:return(a._context.displayName||"Context")+".Provider";case Oc:var b=
a.render;a=a.displayName;a||(a=b.displayName||b.name||"",a=""!==a?"ForwardRef("+a+")":"ForwardRef");return a;case Rc:return b=a.displayName||null,null!==b?b:ud(a.type)||"Memo";case Sc:b=a._payload;a=a._init;try{return ud(a(b))}catch(c){}}return null}var vd;function wd(a){if(void 0===vd)try{throw Error();}catch(c){var b=c.stack.trim().match(/\n( *(at )?)/);vd=b&&b[1]||""}return"\n"+vd+a}var xd=!1;
function yd(a,b){if(!a||xd)return"";xd=!0;var c=Error.prepareStackTrace;Error.prepareStackTrace=void 0;var d={DetermineComponentFrameRoot:function(){try{if(b){var m=function(){throw Error();};Object.defineProperty(m.prototype,"props",{set:function(){throw Error();}});if("object"===typeof Reflect&&Reflect.construct){try{Reflect.construct(m,[])}catch(p){var q=p}Reflect.construct(a,[],m)}else{try{m.call()}catch(p){q=p}a.call(m.prototype)}}else{try{throw Error();}catch(p){q=p}(m=a())&&"function"===typeof m.catch&&
m.catch(function(){})}}catch(p){if(p&&q&&"string"===typeof p.stack)return[p.stack,q.stack]}return[null,null]}};d.DetermineComponentFrameRoot.displayName="DetermineComponentFrameRoot";var e=Object.getOwnPropertyDescriptor(d.DetermineComponentFrameRoot,"name");e&&e.configurable&&Object.defineProperty(d.DetermineComponentFrameRoot,"name",{value:"DetermineComponentFrameRoot"});try{var f=d.DetermineComponentFrameRoot(),g=f[0],h=f[1];if(g&&h){var k=g.split("\n"),l=h.split("\n");for(e=d=0;d<k.length&&!k[d].includes("DetermineComponentFrameRoot");)d++;
for(;e<l.length&&!l[e].includes("DetermineComponentFrameRoot");)e++;if(d===k.length||e===l.length)for(d=k.length-1,e=l.length-1;1<=d&&0<=e&&k[d]!==l[e];)e--;for(;1<=d&&0<=e;d--,e--)if(k[d]!==l[e]){if(1!==d||1!==e){do if(d--,e--,0>e||k[d]!==l[e]){var n="\n"+k[d].replace(" at new "," at ");a.displayName&&n.includes("<anonymous>")&&(n=n.replace("<anonymous>",a.displayName));return n}while(1<=d&&0<=e)}break}}}finally{xd=!1,Error.prepareStackTrace=c}return(c=a?a.displayName||a.name:"")?wd(c):""}
var zd={};function Ad(a,b){a=a.contextTypes;if(!a)return zd;var c={},d;for(d in a)c[d]=b[d];return c}var Bd=null;function Cd(a,b){if(a!==b){a.context._currentValue2=a.parentValue;a=a.parent;var c=b.parent;if(null===a){if(null!==c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");}else{if(null===c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");Cd(a,c)}b.context._currentValue2=b.value}}
function Dd(a){a.context._currentValue2=a.parentValue;a=a.parent;null!==a&&Dd(a)}function Ed(a){var b=a.parent;null!==b&&Ed(b);a.context._currentValue2=a.value}function Fd(a,b){a.context._currentValue2=a.parentValue;a=a.parent;if(null===a)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===b.depth?Cd(a,b):Fd(a,b)}
function Gd(a,b){var c=b.parent;if(null===c)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===c.depth?Cd(a,c):Gd(a,c);b.context._currentValue2=b.value}function Hd(a){var b=Bd;b!==a&&(null===b?Ed(a):null===a?Dd(b):b.depth===a.depth?Cd(b,a):b.depth>a.depth?Fd(b,a):Gd(b,a),Bd=a)}
var Id={isMounted:function(){return!1},enqueueSetState:function(a,b){a=a._reactInternals;null!==a.queue&&a.queue.push(b)},enqueueReplaceState:function(a,b){a=a._reactInternals;a.replace=!0;a.queue=[b]},enqueueForceUpdate:function(){}};
function Jd(a,b,c,d){var e=void 0!==a.state?a.state:null;a.updater=Id;a.props=c;a.state=e;var f={queue:[],replace:!1};a._reactInternals=f;var g=b.contextType;a.context="object"===typeof g&&null!==g?g._currentValue2:d;g=b.getDerivedStateFromProps;"function"===typeof g&&(g=g(c,e),e=null===g||void 0===g?e:t({},e,g),a.state=e);if("function"!==typeof b.getDerivedStateFromProps&&"function"!==typeof a.getSnapshotBeforeUpdate&&("function"===typeof a.UNSAFE_componentWillMount||"function"===typeof a.componentWillMount))if(b=
a.state,"function"===typeof a.componentWillMount&&a.componentWillMount(),"function"===typeof a.UNSAFE_componentWillMount&&a.UNSAFE_componentWillMount(),b!==a.state&&Id.enqueueReplaceState(a,a.state,null),null!==f.queue&&0<f.queue.length)if(b=f.queue,g=f.replace,f.queue=null,f.replace=!1,g&&1===b.length)a.state=b[0];else{f=g?b[0]:a.state;e=!0;for(g=g?1:0;g<b.length;g++){var h=b[g];h="function"===typeof h?h.call(a,f,c,d):h;null!=h&&(e?(e=!1,f=t({},f,h)):t(f,h))}a.state=f}else f.queue=null}
var Kd={id:1,overflow:""};function Ld(a,b,c){var d=a.id;a=a.overflow;var e=32-Md(d)-1;d&=~(1<<e);c+=1;var f=32-Md(b)+e;if(30<f){var g=e-e%5;f=(d&(1<<g)-1).toString(32);d>>=g;e-=g;return{id:1<<32-Md(b)+e|c<<e|d,overflow:f+a}}return{id:1<<f|c<<e|d,overflow:a}}var Md=Math.clz32?Math.clz32:Nd,Od=Math.log,Pd=Math.LN2;function Nd(a){a>>>=0;return 0===a?32:31-(Od(a)/Pd|0)|0}var Qd=Error("Suspense Exception: This is not a real error! It's an implementation detail of `use` to interrupt the current render. You must either rethrow it immediately, or move the `use` call outside of the `try/catch` block. Capturing without rethrowing will lead to unexpected behavior.\n\nTo handle async errors, wrap your component in an error boundary, or call the promise's `.catch` method and pass the result to `use`");
function Rd(){}function Sd(a,b,c){c=a[c];void 0===c?a.push(b):c!==b&&(b.then(Rd,Rd),b=c);switch(b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;default:if("string"!==typeof b.status)switch(a=b,a.status="pending",a.then(function(d){if("pending"===b.status){var e=b;e.status="fulfilled";e.value=d}},function(d){if("pending"===b.status){var e=b;e.status="rejected";e.reason=d}}),b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;}Td=b;throw Qd;}}var Td=null;
function Ud(){if(null===Td)throw Error("Expected a suspended thenable. This is a bug in React. Please file an issue.");var a=Td;Td=null;return a}function Vd(a,b){return a===b&&(0!==a||1/a===1/b)||a!==a&&b!==b}var Wd="function"===typeof Object.is?Object.is:Vd,Xd=null,Yd=null,Zd=null,$d=null,ae=null,U=null,be=!1,ce=!1,de=0,ee=0,fe=-1,ge=0,he=null,ie=null,je=0;
function ke(){if(null===Xd)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component. This could happen for one of the following reasons:\n1. You might have mismatching versions of React and the renderer (such as React DOM)\n2. You might be breaking the Rules of Hooks\n3. You might have more than one copy of React in the same app\nSee https://reactjs.org/link/invalid-hook-call for tips about how to debug and fix this problem.");return Xd}
function le(){if(0<je)throw Error("Rendered more hooks than during the previous render");return{memoizedState:null,queue:null,next:null}}function me(){null===U?null===ae?(be=!1,ae=U=le()):(be=!0,U=ae):null===U.next?(be=!1,U=U.next=le()):(be=!0,U=U.next);return U}function ne(){var a=he;he=null;return a}function oe(){$d=Zd=Yd=Xd=null;ce=!1;ae=null;je=0;U=ie=null}function pe(a,b){return"function"===typeof b?b(a):b}
function qe(a,b,c){Xd=ke();U=me();if(be){var d=U.queue;b=d.dispatch;if(null!==ie&&(c=ie.get(d),void 0!==c)){ie.delete(d);d=U.memoizedState;do d=a(d,c.action),c=c.next;while(null!==c);U.memoizedState=d;return[d,b]}return[U.memoizedState,b]}a=a===pe?"function"===typeof b?b():b:void 0!==c?c(b):b;U.memoizedState=a;a=U.queue={last:null,dispatch:null};a=a.dispatch=re.bind(null,Xd,a);return[U.memoizedState,a]}
function se(a,b){Xd=ke();U=me();b=void 0===b?null:b;if(null!==U){var c=U.memoizedState;if(null!==c&&null!==b){var d=c[1];a:if(null===d)d=!1;else{for(var e=0;e<d.length&&e<b.length;e++)if(!Wd(b[e],d[e])){d=!1;break a}d=!0}if(d)return c[0]}}a=a();U.memoizedState=[a,b];return a}
function re(a,b,c){if(25<=je)throw Error("Too many re-renders. React limits the number of renders to prevent an infinite loop.");if(a===Xd)if(ce=!0,a={action:c,next:null},null===ie&&(ie=new Map),c=ie.get(b),void 0===c)ie.set(b,a);else{for(b=c;null!==b.next;)b=b.next;b.next=a}}function te(){throw Error("startTransition cannot be called during server rendering.");}function ue(){throw Error("Cannot update optimistic state while rendering.");}
function ve(a){var b=ge;ge+=1;null===he&&(he=[]);return Sd(he,a,b)}function we(){throw Error("Cache cannot be refreshed during server rendering.");}function xe(){}
var ze={readContext:function(a){return a._currentValue2},use:function(a){if(null!==a&&"object"===typeof a){if("function"===typeof a.then)return ve(a);if(a.$$typeof===Mc||a.$$typeof===Nc)return a._currentValue2}throw Error("An unsupported type was passed to use(): "+String(a));},useContext:function(a){ke();return a._currentValue2},useMemo:se,useReducer:qe,useRef:function(a){Xd=ke();U=me();var b=U.memoizedState;return null===b?(a={current:a},U.memoizedState=a):b},useState:function(a){return qe(pe,a)},
useInsertionEffect:xe,useLayoutEffect:xe,useCallback:function(a,b){return se(function(){return a},b)},useImperativeHandle:xe,useEffect:xe,useDebugValue:xe,useDeferredValue:function(a){ke();return a},useTransition:function(){ke();return[!1,te]},useId:function(){var a=Yd.treeContext;var b=a.overflow;a=a.id;a=(a&~(1<<32-Md(a)-1)).toString(32)+b;var c=ye;if(null===c)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component.");b=de++;a=":"+c.idPrefix+"R"+a;0<b&&
(a+="H"+b.toString(32));return a+":"},useSyncExternalStore:function(a,b,c){if(void 0===c)throw Error("Missing getServerSnapshot, which is required for server-rendered content. Will revert to client rendering.");return c()},useCacheRefresh:function(){return we},useHostTransitionStatus:function(){ke();return Na},useOptimistic:function(a){ke();return[a,ue]},useFormState:function(a,b,c){ke();var d=ee++,e=Zd;if("function"===typeof a.$$FORM_ACTION){var f=null,g=$d;e=e.formState;var h=a.$$IS_SIGNATURE_EQUAL;
if(null!==e&&"function"===typeof h){var k=e[1];h.call(a,e[2],e[3])&&(f=void 0!==c?"p"+c:"k"+ja(JSON.stringify([g,null,d]),0),k===f&&(fe=d,b=e[0]))}var l=a.bind(null,b);a=function(m){l(m)};"function"===typeof l.$$FORM_ACTION&&(a.$$FORM_ACTION=function(m){m=l.$$FORM_ACTION(m);void 0!==c&&(c+="",m.action=c);var q=m.data;q&&(null===f&&(f=void 0!==c?"p"+c:"k"+ja(JSON.stringify([g,null,d]),0)),q.append("$ACTION_KEY",f));return m});return[b,a]}var n=a.bind(null,b);return[b,function(m){n(m)}]}},ye=null,Ae=
{getCacheSignal:function(){throw Error("Not implemented.");},getCacheForType:function(){throw Error("Not implemented.");}},Be=Ma.ReactCurrentDispatcher,Ce=Ma.ReactCurrentCache;function De(a){console.error(a);return null}function Ee(){}
function Fe(a,b,c,d,e,f,g,h,k,l,n,m){db.current=lb;var q=[],p=new Set;b={destination:null,flushScheduled:!1,resumableState:b,renderState:c,rootFormatContext:d,progressiveChunkSize:void 0===e?12800:e,status:0,fatalError:null,nextSegmentId:0,allPendingTasks:0,pendingRootTasks:0,completedRootSegment:null,abortableTasks:p,pingedTasks:q,clientRenderedBoundaries:[],completedBoundaries:[],partialBoundaries:[],trackedPostpones:null,onError:void 0===f?De:f,onPostpone:void 0===n?Ee:n,onAllReady:void 0===g?
Ee:g,onShellReady:void 0===h?Ee:h,onShellError:void 0===k?Ee:k,onFatalError:void 0===l?Ee:l,formState:void 0===m?null:m};c=Ie(b,0,null,d,!1,!1);c.parentFlushed=!0;a=Je(b,null,a,-1,null,c,p,null,d,zd,null,Kd,null);q.push(a);return b}var T=null;function Ke(a,b){a.pingedTasks.push(b);1===a.pingedTasks.length&&(a.flushScheduled=null!==a.destination,Le(a))}
function Me(a,b){return{status:0,rootSegmentID:-1,parentFlushed:!1,pendingTasks:0,completedSegments:[],byteSize:0,fallbackAbortableTasks:b,errorDigest:null,resources:{styles:new Set,stylesheets:new Set},trackedContentKeyPath:null,trackedFallbackNode:null}}
function Je(a,b,c,d,e,f,g,h,k,l,n,m,q){a.allPendingTasks++;null===e?a.pendingRootTasks++:e.pendingTasks++;var p={replay:null,node:c,childIndex:d,ping:function(){return Ke(a,p)},blockedBoundary:e,blockedSegment:f,abortSet:g,keyPath:h,formatContext:k,legacyContext:l,context:n,treeContext:m,componentStack:q,thenableState:b};g.add(p);return p}
function Ne(a,b,c,d,e,f,g,h,k,l,n,m,q){a.allPendingTasks++;null===f?a.pendingRootTasks++:f.pendingTasks++;c.pendingTasks++;var p={replay:c,node:d,childIndex:e,ping:function(){return Ke(a,p)},blockedBoundary:f,blockedSegment:null,abortSet:g,keyPath:h,formatContext:k,legacyContext:l,context:n,treeContext:m,componentStack:q,thenableState:b};g.add(p);return p}
function Ie(a,b,c,d,e,f){return{status:0,id:-1,index:b,parentFlushed:!1,chunks:[],children:[],parentFormatContext:d,boundary:c,lastPushedText:e,textEmbedded:f}}function Oe(a,b){return{tag:0,parent:a.componentStack,type:b}}
function Pe(a,b){if(b&&null!==a.trackedPostpones){try{a="";do{switch(b.tag){case 0:a+=wd(b.type,null,null);break;case 1:a+=yd(b.type,!1);break;case 2:a+=yd(b.type,!0)}b=b.parent}while(b);var c=a}catch(d){c="\nError generating stack: "+d.message+"\n"+d.stack}c={componentStack:c}}else c={};return c}function V(a,b,c){a=a.onError(b,c);if(null==a||"string"===typeof a)return a}
function Qe(a,b){var c=a.onShellError;c(b);c=a.onFatalError;c(b);null!==a.destination?(a.status=2,a.destination.destroy(b)):(a.status=1,a.fatalError=b)}function Re(a,b,c,d,e,f){var g=b.thenableState;b.thenableState=null;Xd={};Yd=b;Zd=a;$d=c;ee=de=0;fe=-1;ge=0;he=g;for(a=d(e,f);ce;)ce=!1,ee=de=0,fe=-1,ge=0,je+=1,U=null,a=d(e,f);oe();return a}
function Se(a,b,c,d,e){var f=d.render(),g=e.childContextTypes;if(null!==g&&void 0!==g){c=b.legacyContext;if("function"!==typeof d.getChildContext)e=c;else{d=d.getChildContext();for(var h in d)if(!(h in g))throw Error((ud(e)||"Unknown")+'.getChildContext(): key "'+h+'" is not defined in childContextTypes.');e=t({},c,d)}b.legacyContext=e;W(a,b,f,-1);b.legacyContext=c}else e=b.keyPath,b.keyPath=c,W(a,b,f,-1),b.keyPath=e}
function Te(a,b,c,d,e,f,g){var h=!1;if(0!==f&&null!==a.formState){var k=b.blockedSegment;if(null!==k){h=!0;k=k.chunks;for(var l=0;l<f;l++)l===g?k.push("\x3c!--F!--\x3e"):k.push("\x3c!--F--\x3e")}}f=b.keyPath;b.keyPath=c;e?(c=b.treeContext,b.treeContext=Ld(c,1,0),Z(a,b,d,-1),b.treeContext=c):h?Z(a,b,d,-1):W(a,b,d,-1);b.keyPath=f}function Ue(a,b){if(a&&a.defaultProps){b=t({},b);a=a.defaultProps;for(var c in a)void 0===b[c]&&(b[c]=a[c]);return b}return b}
function Ve(a,b,c,d,e,f){if("function"===typeof d)if(d.prototype&&d.prototype.isReactComponent){f=b.componentStack;b.componentStack={tag:2,parent:b.componentStack,type:d};var g=Ad(d,b.legacyContext);var h=d.contextType;h=new d(e,"object"===typeof h&&null!==h?h._currentValue2:g);Jd(h,d,e,g);Se(a,b,c,h,d);b.componentStack=f}else{f=Ad(d,b.legacyContext);g=b.componentStack;b.componentStack={tag:1,parent:b.componentStack,type:d};h=Re(a,b,c,d,e,f);var k=0!==de,l=ee,n=fe;"object"===typeof h&&null!==h&&"function"===
typeof h.render&&void 0===h.$$typeof?(Jd(h,d,e,f),Se(a,b,c,h,d)):Te(a,b,c,h,k,l,n);b.componentStack=g}else if("string"===typeof d){f=b.componentStack;b.componentStack=Oe(b,d);g=b.blockedSegment;if(null===g)g=e.children,h=b.formatContext,k=b.keyPath,b.formatContext=qb(h,d,e),b.keyPath=c,Z(a,b,g,-1),b.formatContext=h,b.keyPath=k;else{k=Sb(g.chunks,d,e,a.resumableState,a.renderState,b.formatContext,g.lastPushedText);g.lastPushedText=!1;h=b.formatContext;l=b.keyPath;b.formatContext=qb(h,d,e);b.keyPath=
c;Z(a,b,k,-1);b.formatContext=h;b.keyPath=l;a:{c=g.chunks;a=a.resumableState;switch(d){case "title":case "style":case "script":case "area":case "base":case "br":case "col":case "embed":case "hr":case "img":case "input":case "keygen":case "link":case "meta":case "param":case "source":case "track":case "wbr":break a;case "body":if(1>=h.insertionMode){a.hasBody=!0;break a}break;case "html":if(0===h.insertionMode){a.hasHtml=!0;break a}}c.push(Nb(d))}g.lastPushedText=!1}b.componentStack=f}else{switch(d){case pd:case nd:case Jc:case Kc:case Ic:d=
b.keyPath;b.keyPath=c;W(a,b,e.children,-1);b.keyPath=d;return;case od:"hidden"!==e.mode&&(d=b.keyPath,b.keyPath=c,W(a,b,e.children,-1),b.keyPath=d);return;case Qc:d=b.componentStack;b.componentStack=Oe(b,"SuspenseList");f=b.keyPath;b.keyPath=c;W(a,b,e.children,-1);b.keyPath=f;b.componentStack=d;return;case md:throw Error("ReactDOMServer does not yet support scope components.");case Pc:a:if(null!==b.replay){d=b.keyPath;b.keyPath=c;c=e.children;try{Z(a,b,c,-1)}finally{b.keyPath=d}}else{var m=b.componentStack;
d=b.componentStack=Oe(b,"Suspense");var q=b.keyPath;f=b.blockedBoundary;var p=b.blockedSegment;g=e.fallback;var H=e.children;e=new Set;h=Me(a,e);null!==a.trackedPostpones&&(h.trackedContentKeyPath=c);k=Ie(a,p.chunks.length,h,b.formatContext,!1,!1);p.children.push(k);p.lastPushedText=!1;var A=Ie(a,0,null,b.formatContext,!1,!1);A.parentFlushed=!0;b.blockedBoundary=h;b.blockedSegment=A;a.renderState.boundaryResources=h.resources;b.keyPath=c;try{if(Z(a,b,H,-1),a.renderState.generateStaticMarkup||A.lastPushedText&&
A.textEmbedded&&A.chunks.push("\x3c!-- --\x3e"),A.status=1,We(h,A),0===h.pendingTasks&&0===h.status){h.status=1;b.componentStack=m;break a}}catch(w){A.status=4,h.status=4,l=Pe(a,b.componentStack),n=V(a,w,l),h.errorDigest=n,Xe(a,h)}finally{a.renderState.boundaryResources=f?f.resources:null,b.blockedBoundary=f,b.blockedSegment=p,b.keyPath=q,b.componentStack=m}l=[c[0],"Suspense Fallback",c[2]];n=a.trackedPostpones;null!==n&&(m=[l[1],l[2],[],null],n.workingMap.set(l,m),5===h.status?n.workingMap.get(c)[4]=
m:h.trackedFallbackNode=m);b=Je(a,null,g,-1,f,k,e,l,b.formatContext,b.legacyContext,b.context,b.treeContext,d);a.pingedTasks.push(b)}return}if("object"===typeof d&&null!==d)switch(d.$$typeof){case Oc:g=b.componentStack;b.componentStack={tag:1,parent:b.componentStack,type:d.render};e=Re(a,b,c,d.render,e,f);Te(a,b,c,e,0!==de,ee,fe);b.componentStack=g;return;case Rc:d=d.type;e=Ue(d,e);Ve(a,b,c,d,e,f);return;case Lc:g=e.children;f=b.keyPath;d=d._context;e=e.value;h=d._currentValue2;d._currentValue2=e;
k=Bd;Bd=e={parent:k,depth:null===k?0:k.depth+1,context:d,parentValue:h,value:e};b.context=e;b.keyPath=c;W(a,b,g,-1);a=Bd;if(null===a)throw Error("Tried to pop a Context at the root of the app. This is a bug in React.");c=a.parentValue;a.context._currentValue2=c===rd?a.context._defaultValue:c;a=Bd=a.parent;b.context=a;b.keyPath=f;return;case Mc:e=e.children;e=e(d._currentValue2);d=b.keyPath;b.keyPath=c;W(a,b,e,-1);b.keyPath=d;return;case Sc:f=b.componentStack;b.componentStack=Oe(b,"Lazy");g=d._init;
d=g(d._payload);e=Ue(d,e);Ve(a,b,c,d,e,void 0);b.componentStack=f;return}throw Error("Element type is invalid: expected a string (for built-in components) or a class/function (for composite components) but got: "+((null==d?d:typeof d)+"."));}}
function Ye(a,b,c,d,e){var f=b.replay,g=b.blockedBoundary,h=Ie(a,0,null,b.formatContext,!1,!1);h.id=c;h.parentFlushed=!0;try{b.replay=null,b.blockedSegment=h,Z(a,b,d,e),h.status=1,null===g?a.completedRootSegment=h:(We(g,h),g.parentFlushed&&a.partialBoundaries.push(g))}finally{b.replay=f,b.blockedSegment=null}}
function W(a,b,c,d){if(null!==b.replay&&"number"===typeof b.replay.slots)Ye(a,b,b.replay.slots,c,d);else if(b.node=c,b.childIndex=d,null!==c){if("object"===typeof c){switch(c.$$typeof){case Gc:var e=c.type,f=c.key,g=c.props,h=c.ref,k=ud(e),l=null==f?-1===d?0:d:f;f=[b.keyPath,k,l];if(null!==b.replay)a:{var n=b.replay;d=n.nodes;for(c=0;c<d.length;c++){var m=d[c];if(l===m[1]){if(4===m.length){if(null!==k&&k!==m[0])throw Error("Expected the resume to render <"+m[0]+"> in this slot but instead it rendered <"+
k+">. The tree doesn't match so React will fallback to client rendering.");var q=m[2];k=m[3];l=b.node;b.replay={nodes:q,slots:k,pendingTasks:1};try{Ve(a,b,f,e,g,h);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--}catch(u){if("object"===typeof u&&null!==u&&(u===Qd||"function"===typeof u.then))throw b.node===l&&(b.replay=n),u;
b.replay.pendingTasks--;g=Pe(a,b.componentStack);f=a;a=b.blockedBoundary;e=u;g=V(f,e,g);Ze(f,a,q,k,e,g)}b.replay=n}else{if(e!==Pc)throw Error("Expected the resume to render <Suspense> in this slot but instead it rendered <"+(ud(e)||"Unknown")+">. The tree doesn't match so React will fallback to client rendering.");b:{n=void 0;e=m[5];h=m[2];k=m[3];l=null===m[4]?[]:m[4][2];m=null===m[4]?null:m[4][3];var p=b.componentStack,H=b.componentStack=Oe(b,"Suspense"),A=b.keyPath,w=b.replay,x=b.blockedBoundary,
r=g.children;g=g.fallback;var C=new Set,v=Me(a,C);v.parentFlushed=!0;v.rootSegmentID=e;b.blockedBoundary=v;b.replay={nodes:h,slots:k,pendingTasks:1};a.renderState.boundaryResources=v.resources;try{Z(a,b,r,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--;if(0===v.pendingTasks&&0===v.status){v.status=1;a.completedBoundaries.push(v);
break b}}catch(u){v.status=4,q=Pe(a,b.componentStack),n=V(a,u,q),v.errorDigest=n,b.replay.pendingTasks--,a.clientRenderedBoundaries.push(v)}finally{a.renderState.boundaryResources=x?x.resources:null,b.blockedBoundary=x,b.replay=w,b.keyPath=A,b.componentStack=p}b=Ne(a,null,{nodes:l,slots:m,pendingTasks:0},g,-1,x,C,[f[0],"Suspense Fallback",f[2]],b.formatContext,b.legacyContext,b.context,b.treeContext,H);a.pingedTasks.push(b)}}d.splice(c,1);break a}}}else Ve(a,b,f,e,g,h);return;case Hc:throw Error("Portals are not currently supported by the server renderer. Render them conditionally so that they only appear on the client render.");
case Sc:g=b.componentStack;b.componentStack=Oe(b,"Lazy");f=c._init;c=f(c._payload);b.componentStack=g;W(a,b,c,d);return}if(La(c)){$e(a,b,c,d);return}null===c||"object"!==typeof c?g=null:(g=sd&&c[sd]||c["@@iterator"],g="function"===typeof g?g:null);if(g&&(g=g.call(c))){c=g.next();if(!c.done){f=[];do f.push(c.value),c=g.next();while(!c.done);$e(a,b,f,d)}return}if("function"===typeof c.then)return b.thenableState=null,W(a,b,ve(c),d);if(c.$$typeof===Mc||c.$$typeof===Nc)return W(a,b,c._currentValue2,d);
d=Object.prototype.toString.call(c);throw Error("Objects are not valid as a React child (found: "+("[object Object]"===d?"object with keys {"+Object.keys(c).join(", ")+"}":d)+"). If you meant to render a collection of children, use an array instead.");}"string"===typeof c?(d=b.blockedSegment,null!==d&&(d.lastPushedText=Fc(d.chunks,c,a.renderState,d.lastPushedText))):"number"===typeof c&&(d=b.blockedSegment,null!==d&&(d.lastPushedText=Fc(d.chunks,""+c,a.renderState,d.lastPushedText)))}}
function $e(a,b,c,d){var e=b.keyPath;if(-1!==d&&(b.keyPath=[b.keyPath,"Fragment",d],null!==b.replay)){for(var f=b.replay,g=f.nodes,h=0;h<g.length;h++){var k=g[h];if(k[1]===d){d=k[2];k=k[3];b.replay={nodes:d,slots:k,pendingTasks:1};try{$e(a,b,c,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--}catch(m){if("object"===typeof m&&
null!==m&&(m===Qd||"function"===typeof m.then))throw m;b.replay.pendingTasks--;c=Pe(a,b.componentStack);var l=b.blockedBoundary,n=m;c=V(a,n,c);Ze(a,l,d,k,n,c)}b.replay=f;g.splice(h,1);break}}b.keyPath=e;return}f=b.treeContext;g=c.length;if(null!==b.replay&&(h=b.replay.slots,null!==h&&"object"===typeof h)){for(d=0;d<g;d++)k=c[d],b.treeContext=Ld(f,g,d),l=h[d],"number"===typeof l?(Ye(a,b,l,k,d),delete h[d]):Z(a,b,k,d);b.treeContext=f;b.keyPath=e;return}for(h=0;h<g;h++)d=c[h],b.treeContext=Ld(f,g,h),
Z(a,b,d,h);b.treeContext=f;b.keyPath=e}function Xe(a,b){a=a.trackedPostpones;null!==a&&(b=b.trackedContentKeyPath,null!==b&&(b=a.workingMap.get(b),void 0!==b&&(b.length=4,b[2]=[],b[3]=null)))}
function Z(a,b,c,d){var e=b.formatContext,f=b.legacyContext,g=b.context,h=b.keyPath,k=b.treeContext,l=b.componentStack,n=b.blockedSegment;if(null===n)try{return W(a,b,c,d)}catch(p){if(oe(),c=p===Qd?Ud():p,"object"===typeof c&&null!==c&&"function"===typeof c.then){d=ne();a=Ne(a,d,b.replay,b.node,b.childIndex,b.blockedBoundary,b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext,null!==b.componentStack?b.componentStack.parent:null).ping;c.then(a,a);b.formatContext=e;b.legacyContext=
f;b.context=g;b.keyPath=h;b.treeContext=k;b.componentStack=l;Hd(g);return}}else{var m=n.children.length,q=n.chunks.length;try{return W(a,b,c,d)}catch(p){if(oe(),n.children.length=m,n.chunks.length=q,c=p===Qd?Ud():p,"object"===typeof c&&null!==c&&"function"===typeof c.then){d=ne();n=b.blockedSegment;m=Ie(a,n.chunks.length,null,b.formatContext,n.lastPushedText,!0);n.children.push(m);n.lastPushedText=!1;a=Je(a,d,b.node,b.childIndex,b.blockedBoundary,m,b.abortSet,b.keyPath,b.formatContext,b.legacyContext,
b.context,b.treeContext,null!==b.componentStack?b.componentStack.parent:null).ping;c.then(a,a);b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=h;b.treeContext=k;b.componentStack=l;Hd(g);return}}}b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=h;b.treeContext=k;Hd(g);throw c;}function af(a){var b=a.blockedBoundary;a=a.blockedSegment;null!==a&&(a.status=3,bf(this,b,a))}
function Ze(a,b,c,d,e,f){for(var g=0;g<c.length;g++){var h=c[g];if(4===h.length)Ze(a,b,h[2],h[3],e,f);else{h=h[5];var k=a,l=f,n=Me(k,new Set);n.parentFlushed=!0;n.rootSegmentID=h;n.status=4;n.errorDigest=l;n.parentFlushed&&k.clientRenderedBoundaries.push(n)}}c.length=0;if(null!==d){if(null===b)throw Error("We should not have any resumable nodes in the shell. This is a bug in React.");4!==b.status&&(b.status=4,b.errorDigest=f,b.parentFlushed&&a.clientRenderedBoundaries.push(b));if("object"===typeof d)for(var m in d)delete d[m]}}
function cf(a,b,c){var d=a.blockedBoundary,e=a.blockedSegment;null!==e&&(e.status=3);if(null===d){if(d={},1!==b.status&&2!==b.status){a=a.replay;if(null===a){V(b,c,d);Qe(b,c);return}a.pendingTasks--;0===a.pendingTasks&&0<a.nodes.length&&(d=V(b,c,d),Ze(b,null,a.nodes,a.slots,c,d));b.pendingRootTasks--;0===b.pendingRootTasks&&df(b)}}else d.pendingTasks--,4!==d.status&&(d.status=4,a=Pe(b,a.componentStack),a=V(b,c,a),d.errorDigest=a,Xe(b,d),d.parentFlushed&&b.clientRenderedBoundaries.push(d)),d.fallbackAbortableTasks.forEach(function(f){return cf(f,
b,c)}),d.fallbackAbortableTasks.clear();b.allPendingTasks--;0===b.allPendingTasks&&ef(b)}
function ff(a,b){try{var c=a.renderState,d=c.onHeaders;if(d){var e=c.headers;if(e){c.headers=null;var f=e.preconnects;e.fontPreloads&&(f&&(f+=", "),f+=e.fontPreloads);e.highImagePreloads&&(f&&(f+=", "),f+=e.highImagePreloads);if(!b){var g=c.styles.values(),h=g.next();b:for(;0<e.remainingCapacity&&!h.done;h=g.next())for(var k=h.value.sheets.values(),l=k.next();0<e.remainingCapacity&&!l.done;l=k.next()){var n=l.value,m=n.props,q=m.href,p=n.props,H=Tb(p.href,"style",{crossOrigin:p.crossOrigin,integrity:p.integrity,
nonce:p.nonce,type:p.type,fetchPriority:p.fetchPriority,referrerPolicy:p.referrerPolicy,media:p.media});if(2<=(e.remainingCapacity-=H.length))c.resets.style[q]=B,f&&(f+=", "),f+=H,c.resets.style[q]="string"===typeof m.crossOrigin||"string"===typeof m.integrity?[m.crossOrigin,m.integrity]:B;else break b}}f?d({Link:f}):d({})}}}catch(A){V(a,A,{})}}function df(a){null===a.trackedPostpones&&ff(a,!0);a.onShellError=Ee;a=a.onShellReady;a()}
function ef(a){ff(a,null===a.trackedPostpones?!0:null===a.completedRootSegment||5!==a.completedRootSegment.status);a=a.onAllReady;a()}function We(a,b){if(0===b.chunks.length&&1===b.children.length&&null===b.children[0].boundary&&-1===b.children[0].id){var c=b.children[0];c.id=b.id;c.parentFlushed=!0;1===c.status&&We(a,c)}else a.completedSegments.push(b)}
function bf(a,b,c){if(null===b){if(null!==c&&c.parentFlushed){if(null!==a.completedRootSegment)throw Error("There can only be one root segment. This is a bug in React.");a.completedRootSegment=c}a.pendingRootTasks--;0===a.pendingRootTasks&&df(a)}else b.pendingTasks--,4!==b.status&&(0===b.pendingTasks?(0===b.status&&(b.status=1),null!==c&&c.parentFlushed&&1===c.status&&We(b,c),b.parentFlushed&&a.completedBoundaries.push(b),1===b.status&&(b.fallbackAbortableTasks.forEach(af,a),b.fallbackAbortableTasks.clear())):
null!==c&&c.parentFlushed&&1===c.status&&(We(b,c),1===b.completedSegments.length&&b.parentFlushed&&a.partialBoundaries.push(b)));a.allPendingTasks--;0===a.allPendingTasks&&ef(a)}
function Le(a){if(2!==a.status){var b=Bd,c=Be.current;Be.current=ze;var d=Ce.current;Ce.current=Ae;var e=T;T=a;var f=ye;ye=a.resumableState;try{var g=a.pingedTasks,h;for(h=0;h<g.length;h++){var k=g[h],l=a,n=k.blockedBoundary;l.renderState.boundaryResources=n?n.resources:null;var m=k.blockedSegment;if(null===m){var q=l;if(0!==k.replay.pendingTasks){Hd(k.context);try{W(q,k,k.node,k.childIndex);if(1===k.replay.pendingTasks&&0<k.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");
k.replay.pendingTasks--;k.abortSet.delete(k);bf(q,k.blockedBoundary,null)}catch(P){oe();var p=P===Qd?Ud():P;if("object"===typeof p&&null!==p&&"function"===typeof p.then){var H=k.ping;p.then(H,H);k.thenableState=ne()}else{k.replay.pendingTasks--;k.abortSet.delete(k);var A=Pe(q,k.componentStack);l=void 0;var w=q,x=k.blockedBoundary,r=p,C=k.replay.nodes,v=k.replay.slots;l=V(w,r,A);Ze(w,x,C,v,r,l);q.pendingRootTasks--;0===q.pendingRootTasks&&df(q);q.allPendingTasks--;0===q.allPendingTasks&&ef(q)}}finally{q.renderState.boundaryResources=
null}}}else if(q=void 0,w=m,0===w.status){Hd(k.context);var u=w.children.length,D=w.chunks.length;try{W(l,k,k.node,k.childIndex),l.renderState.generateStaticMarkup||w.lastPushedText&&w.textEmbedded&&w.chunks.push("\x3c!-- --\x3e"),k.abortSet.delete(k),w.status=1,bf(l,k.blockedBoundary,w)}catch(P){oe();w.children.length=u;w.chunks.length=D;var E=P===Qd?Ud():P;if("object"===typeof E&&null!==E&&"function"===typeof E.then){var F=k.ping;E.then(F,F);k.thenableState=ne()}else{var la=Pe(l,k.componentStack);
k.abortSet.delete(k);w.status=4;var R=k.blockedBoundary;q=V(l,E,la);null===R?Qe(l,E):(R.pendingTasks--,4!==R.status&&(R.status=4,R.errorDigest=q,Xe(l,R),R.parentFlushed&&l.clientRenderedBoundaries.push(R)));l.allPendingTasks--;0===l.allPendingTasks&&ef(l)}}finally{l.renderState.boundaryResources=null}}}g.splice(0,h);null!==a.destination&&gf(a,a.destination)}catch(P){V(a,P,{}),Qe(a,P)}finally{ye=f,Be.current=c,Ce.current=d,c===ze&&Hd(b),T=e}}}
function hf(a,b,c){c.parentFlushed=!0;switch(c.status){case 0:c.id=a.nextSegmentId++;case 5:var d=c.id;c.lastPushedText=!1;c.textEmbedded=!1;a=a.renderState;b.push('<template id="');b.push(a.placeholderPrefix);a=d.toString(16);b.push(a);return b.push('"></template>');case 1:c.status=2;var e=!0;d=c.chunks;var f=0;c=c.children;for(var g=0;g<c.length;g++){for(e=c[g];f<e.index;f++)b.push(d[f]);e=jf(a,b,e)}for(;f<d.length-1;f++)b.push(d[f]);f<d.length&&(e=b.push(d[f]));return e;default:throw Error("Aborted, errored or already flushed boundaries should not be flushed again. This is a bug in React.");
}}
function jf(a,b,c){var d=c.boundary;if(null===d)return hf(a,b,c);d.parentFlushed=!0;if(4===d.status)return a.renderState.generateStaticMarkup||(d=d.errorDigest,b.push("\x3c!--$!--\x3e"),b.push("<template"),d&&(b.push(' data-dgst="'),d=z(d),b.push(d),b.push('"')),b.push("></template>")),hf(a,b,c),a=a.renderState.generateStaticMarkup?!0:b.push("\x3c!--/$--\x3e"),a;if(1!==d.status)return 0===d.status&&(d.rootSegmentID=a.nextSegmentId++),0<d.completedSegments.length&&a.partialBoundaries.push(d),ec(b,a.renderState,
d.rootSegmentID),hf(a,b,c),b.push("\x3c!--/$--\x3e");if(d.byteSize>a.progressiveChunkSize)return d.rootSegmentID=a.nextSegmentId++,a.completedBoundaries.push(d),ec(b,a.renderState,d.rootSegmentID),hf(a,b,c),b.push("\x3c!--/$--\x3e");c=d.resources;var e=a.renderState.boundaryResources;e&&(c.styles.forEach(Cc,e),c.stylesheets.forEach(Dc,e));a.renderState.generateStaticMarkup||b.push("\x3c!--$--\x3e");c=d.completedSegments;if(1!==c.length)throw Error("A previously unvisited boundary must have exactly one root segment. This is a bug in React.");
jf(a,b,c[0]);a=a.renderState.generateStaticMarkup?!0:b.push("\x3c!--/$--\x3e");return a}function kf(a,b,c){fc(b,a.renderState,c.parentFormatContext,c.id);jf(a,b,c);return gc(b,c.parentFormatContext)}
function lf(a,b,c){a.renderState.boundaryResources=c.resources;for(var d=c.completedSegments,e=0;e<d.length;e++)mf(a,b,c,d[e]);d.length=0;pc(b,c.resources,a.renderState);d=a.resumableState;a=a.renderState;e=c.rootSegmentID;c=c.resources;var f=a.stylesToHoist;a.stylesToHoist=!1;var g=0===d.streamingFormat;g?(b.push(a.startInlineScript),f?0===(d.instructions&2)?(d.instructions|=10,b.push('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("')):
0===(d.instructions&8)?(d.instructions|=8,b.push('$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("')):
b.push('$RR("'):0===(d.instructions&2)?(d.instructions|=2,b.push('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RC("')):
b.push('$RC("')):f?b.push('<template data-rri="" data-bid="'):b.push('<template data-rci="" data-bid="');d=e.toString(16);b.push(a.boundaryPrefix);b.push(d);g?b.push('","'):b.push('" data-sid="');b.push(a.segmentPrefix);b.push(d);f?g?(b.push('",'),vc(b,c)):(b.push('" data-sty="'),wc(b,c)):g&&b.push('"');d=g?b.push(")\x3c/script>"):b.push('"></template>');return dc(b,a)&&d}
function mf(a,b,c,d){if(2===d.status)return!0;var e=d.id;if(-1===e){if(-1===(d.id=c.rootSegmentID))throw Error("A root segment ID must have been assigned by now. This is a bug in React.");return kf(a,b,d)}if(e===c.rootSegmentID)return kf(a,b,d);kf(a,b,d);c=a.resumableState;a=a.renderState;(d=0===c.streamingFormat)?(b.push(a.startInlineScript),0===(c.instructions&1)?(c.instructions|=1,b.push('$RS=function(a,b){a=document.getElementById(a);b=document.getElementById(b);for(a.parentNode.removeChild(a);a.firstChild;)b.parentNode.insertBefore(a.firstChild,b);b.parentNode.removeChild(b)};$RS("')):
b.push('$RS("')):b.push('<template data-rsi="" data-sid="');b.push(a.segmentPrefix);e=e.toString(16);b.push(e);d?b.push('","'):b.push('" data-pid="');b.push(a.placeholderPrefix);b.push(e);b=d?b.push('")\x3c/script>'):b.push('"></template>');return b}
function gf(a,b){try{var c,d=a.completedRootSegment;if(null!==d)if(5!==d.status&&0===a.pendingRootTasks){var e=a.renderState;if((0!==a.allPendingTasks||null!==a.trackedPostpones)&&e.externalRuntimeScript){var f=e.externalRuntimeScript,g=a.resumableState,h=f.src,k=f.chunks;g.scriptResources.hasOwnProperty(h)||(g.scriptResources[h]=null,e.scripts.add(k))}var l=e.htmlChunks,n=e.headChunks;f=0;if(l){for(f=0;f<l.length;f++)b.push(l[f]);if(n)for(f=0;f<n.length;f++)b.push(n[f]);else{var m=O("head");b.push(m);
b.push(">")}}else if(n)for(f=0;f<n.length;f++)b.push(n[f]);var q=e.charsetChunks;for(f=0;f<q.length;f++)b.push(q[f]);q.length=0;e.preconnects.forEach(Q,b);e.preconnects.clear();var p=e.preconnectChunks;for(f=0;f<p.length;f++)b.push(p[f]);p.length=0;e.fontPreloads.forEach(Q,b);e.fontPreloads.clear();e.highImagePreloads.forEach(Q,b);e.highImagePreloads.clear();e.styles.forEach(sc,b);var H=e.importMapChunks;for(f=0;f<H.length;f++)b.push(H[f]);H.length=0;e.bootstrapScripts.forEach(Q,b);e.scripts.forEach(Q,
b);e.scripts.clear();e.bulkPreloads.forEach(Q,b);e.bulkPreloads.clear();var A=e.preloadChunks;for(f=0;f<A.length;f++)b.push(A[f]);A.length=0;var w=e.hoistableChunks;for(f=0;f<w.length;f++)b.push(w[f]);w.length=0;if(l&&null===n){var x=Nb("head");b.push(x)}jf(a,b,d);a.completedRootSegment=null;dc(b,a.renderState)}else return;var r=a.renderState;d=0;r.preconnects.forEach(Q,b);r.preconnects.clear();var C=r.preconnectChunks;for(d=0;d<C.length;d++)b.push(C[d]);C.length=0;r.fontPreloads.forEach(Q,b);r.fontPreloads.clear();
r.highImagePreloads.forEach(Q,b);r.highImagePreloads.clear();r.styles.forEach(uc,b);r.scripts.forEach(Q,b);r.scripts.clear();r.bulkPreloads.forEach(Q,b);r.bulkPreloads.clear();var v=r.preloadChunks;for(d=0;d<v.length;d++)b.push(v[d]);v.length=0;var u=r.hoistableChunks;for(d=0;d<u.length;d++)b.push(u[d]);u.length=0;var D=a.clientRenderedBoundaries;for(c=0;c<D.length;c++){var E=D[c];r=b;var F=a.resumableState,la=a.renderState,R=E.rootSegmentID,P=E.errorDigest,ma=E.errorMessage,ea=E.errorComponentStack,
X=0===F.streamingFormat;X?(r.push(la.startInlineScript),0===(F.instructions&4)?(F.instructions|=4,r.push('$RX=function(b,c,d,e){var a=document.getElementById(b);a&&(b=a.previousSibling,b.data="$!",a=a.dataset,c&&(a.dgst=c),d&&(a.msg=d),e&&(a.stck=e),b._reactRetry&&b._reactRetry())};;$RX("')):r.push('$RX("')):r.push('<template data-rxi="" data-bid="');r.push(la.boundaryPrefix);var Oa=R.toString(16);r.push(Oa);X&&r.push('"');if(P||ma||ea)if(X){r.push(",");var Pa=ic(P||"");r.push(Pa)}else{r.push('" data-dgst="');
var Qa=z(P||"");r.push(Qa)}if(ma||ea)if(X){r.push(",");var na=ic(ma||"");r.push(na)}else{r.push('" data-msg="');var S=z(ma||"");r.push(S)}if(ea)if(X){r.push(",");var rb=ic(ea);r.push(rb)}else{r.push('" data-stck="');var oa=z(ea);r.push(oa)}if(X?!r.push(")\x3c/script>"):!r.push('"></template>')){a.destination=null;c++;D.splice(0,c);return}}D.splice(0,c);var pa=a.completedBoundaries;for(c=0;c<pa.length;c++)if(!lf(a,b,pa[c])){a.destination=null;c++;pa.splice(0,c);return}pa.splice(0,c);var aa=a.partialBoundaries;
for(c=0;c<aa.length;c++){var qa=aa[c];a:{D=a;E=b;D.renderState.boundaryResources=qa.resources;var ra=qa.completedSegments;for(F=0;F<ra.length;F++)if(!mf(D,E,qa,ra[F])){F++;ra.splice(0,F);var Ra=!1;break a}ra.splice(0,F);Ra=pc(E,qa.resources,D.renderState)}if(!Ra){a.destination=null;c++;aa.splice(0,c);return}}aa.splice(0,c);var sa=a.completedBoundaries;for(c=0;c<sa.length;c++)if(!lf(a,b,sa[c])){a.destination=null;c++;sa.splice(0,c);return}sa.splice(0,c)}finally{0===a.allPendingTasks&&0===a.pingedTasks.length&&
0===a.clientRenderedBoundaries.length&&0===a.completedBoundaries.length&&(a.flushScheduled=!1,c=a.resumableState,c.hasBody&&(aa=Nb("body"),b.push(aa)),c.hasHtml&&(c=Nb("html"),b.push(c)),b.push(null),a.destination=null)}}function nf(a){a.flushScheduled=null!==a.destination;Le(a);null===a.trackedPostpones&&ff(a,0===a.pendingRootTasks)}function zc(a){if(!1===a.flushScheduled&&0===a.pingedTasks.length&&null!==a.destination){a.flushScheduled=!0;var b=a.destination;b?gf(a,b):a.flushScheduled=!1}}
function of(a,b){if(1===a.status)a.status=2,b.destroy(a.fatalError);else if(2!==a.status&&null===a.destination){a.destination=b;try{gf(a,b)}catch(c){V(a,c,{}),Qe(a,c)}}}function pf(a,b){try{var c=a.abortableTasks;if(0<c.size){var d=void 0===b?Error("The render was aborted by the server without a reason."):b;c.forEach(function(e){return cf(e,a,d)});c.clear()}null!==a.destination&&gf(a,a.destination)}catch(e){V(a,e,{}),Qe(a,e)}}function qf(){}
function rf(a,b,c,d){var e=!1,f=null,g="",h=!1;b=ob(b?b.identifierPrefix:void 0,void 0);a=Fe(a,b,Ec(b,c),pb(),Infinity,qf,void 0,function(){h=!0},void 0,void 0,void 0);nf(a);pf(a,d);of(a,{push:function(k){null!==k&&(g+=k);return!0},destroy:function(k){e=!0;f=k}});if(e&&f!==d)throw f;if(!h)throw Error("A component suspended while responding to synchronous input. This will cause the UI to be replaced with a loading indicator. To fix, updates that suspend should be wrapped with startTransition.");return g}
function sf(a,b){a.prototype=Object.create(b.prototype);a.prototype.constructor=a;a.__proto__=b}var tf=function(a){function b(){var d=a.call(this,{})||this;d.request=null;d.startedFlowing=!1;return d}sf(b,a);var c=b.prototype;c._destroy=function(d,e){pf(this.request);e(d)};c._read=function(){this.startedFlowing&&of(this.request,this)};return b}(ia.Readable);function uf(){}
function vf(a,b){var c=new tf;b=ob(b?b.identifierPrefix:void 0,void 0);var d=Fe(a,b,Ec(b,!1),pb(),Infinity,uf,function(){c.startedFlowing=!0;of(d,c)},void 0,void 0,void 0);c.request=d;nf(d);return c}exports.renderToNodeStream=function(a,b){return vf(a,b)};exports.renderToStaticMarkup=function(a,b){return rf(a,b,!0,'The server used "renderToStaticMarkup" which does not support Suspense. If you intended to have the server wait for the suspended component please switch to "renderToPipeableStream" which supports Suspense on the server')};
exports.renderToStaticNodeStream=function(a,b){return vf(a,b)};exports.renderToString=function(a,b){return rf(a,b,!1,'The server used "renderToString" which does not support Suspense. If you intended for this Suspense boundary to render the fallback content on the server consider throwing an Error somewhere within the Suspense boundary. If you intended to have the server wait for the suspended component please switch to "renderToPipeableStream" which supports Suspense on the server')};
exports.version="18.3.0-canary-971b62f47-20240129";

//# sourceMappingURL=react-dom-server-legacy.node.production.min.js.map
